Installation of Cisco Packet Tracer 7.3.0 on RPM-Linux-Systems without alien

The following tutorial is the result of my successful installation attempt for Packet Tracer 7.3.0 on an openSUSE Tumbleweed. State of the openSUSE packages was around December, 2019. For other Linux distributions you have to look whether this works the same way. Especially the needed and already available libraries might differ in your system.

Why was this necessary at all? Well … Cisco always only supported the Ubuntu distribution of Linux, although they always delivered the software with an installer, and not as .deb. or .rpm-package. Obviously Cisco now decided to go one step further, and to stop the development of the generic Linux installer. Instead they only deliver a DEB-package, that can not be installed directly on a lot of other Linux-distributions, especially not on RPM-based distributions. And for Packet Tracer 7.3.0 Cisco also says that the software is only for Ubuntu 18.04.03 LTS.

It is of course also possible to look for alien, a tool to install DEB-packets on RPM-based systems. But as alien is not in the standard repos for openSUSE Tumbleweed, and I also wanted to see for myself once the inside mechanisms of a DEB-packet, I did this work that might work on several RPM-based distributions.

Disclaimer: Although I have tried to document all procedures properly, I do not take any responsibility for this tutorial.

Unpack DEB-file for Packet Tracer

mkdir /tmp/PacketTracerInst
cp PacketTracer_730_amd64.deb /tmp/PacketTracerInst
cd /tmp/PacketTracerInst
ar -xv PacketTracer_730_amd64.deb
mkdir control
tar -C control -Jxf control.tar.xz
mkdir data
tar -C data -Jxf data.tar.xz
cd data

Remove current PT installation

It is assumed that you have the old installation in /opt/pt

rm -rf /opt/pt
rm -rf /usr/share/applications/cisco-pt7.desktop
rm -rf /usr/share/applications/cisco-ptsa7.desktop
rm -rf /usr/share/icons/hicolor/48x48/apps/pt7.png

Installation of new PT-files

We are still in the directory /tmp/PacketTracerInst/data

cp -r usr /
cp -r opt /

In openSUSE-Tumbleweed – symlink for a needed library

ln -s /usr/lib64/libdouble-conversion.so.3.1.5 /usr/lib64/libdouble-conversion.so.1

After the installation of files, update icon and file assocation

sudo xdg-desktop-menu install /usr/share/applications/cisco-pt7.desktop
sudo xdg-desktop-menu install /usr/share/applications/cisco-ptsa7.desktop
sudo update-mime-database /usr/share/mime
sudo gtk-update-icon-cache --force --ignore-theme-index /usr/share/icons/gnome
sudo xdg-mime default cisco-ptsa7.desktop x-scheme-handler/pttp

Symlink to PT-starter

sudo ln -sf /opt/pt/packettracer /usr/local/bin/packettracer

Environment settings

Lines to have in /etc/profile, or if supported the preferred placement is in /etc/profile.local

PT7HOME=/opt/pt
export PT7HOME
QT_DEVICE_PIXEL_RATIO=auto
export QT_DEVICE_PIXEL_RATIO

To get these settings active on your workstation, log off and log in again. Settings in the startup profiles, are then automatically done. Control them with the commands echo $PT7HOME and echo $QT_DEVICE_PIXEL_RATIO in a command line shell. You should see the above values!

PT still not working?

If PT is still not starting after all this, you should have a deeper look what’s wrong with the installation. For this, go to /opt/pt and copy the text-file packettracer, already available in this place, to a file ptdebug. This can for example be done by using the command cp -p /opt/pt/packettracer /opt/pt/ptdebug. Then, in this new file, replace / remove all redirections in the last three lines. The redirections start with a greater sign >. Including the > remove the rest of the line. The relevant lines in the file should now be:

#!/bin/bash
PTDIR=/opt/pt
export LD_LIBRARY_PATH=/opt/pt/bin
pushd /opt/pt/bin
./PacketTracer7 "$@"
popd

Then, still from a command line shell, go again to the directory /opt/pt and there enter the command ./ptdebug. In my situation, with a working PT installation, the output looks like this:

andreas@r-andreas:/opt/pt> ./ptdebug 
Starting Packet Tracer 7.3.0
/opt/pt/bin /opt/pt
./PacketTracer7: /opt/pt/bin/libcrypto.so.1.0.0: no version information available (required by ./PacketTracer7)
Qt WebEngine ICU data not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/resources. Trying parent directory...
Qt WebEngine ICU data not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin. Trying application directory...
Installed Qt WebEngine locales directory not found at location /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine resources not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/resources. Trying parent directory...
Qt WebEngine resources not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin. Trying application directory...

The above output seems to be the „normal“ output of a working Packet Tracer. If anything else is shown, try to interpret the problem or send the output to someone for help.

11 Gedanken zu „Installation of Cisco Packet Tracer 7.3.0 on RPM-Linux-Systems without alien“

  1. Hei!

    Thank you for the easy installation guide. This was really convenient as Cisco likes to change change installation method after each PT update…

    Keep up your good work!

    Greetings from Finnland

    Antworten
  2. This was amazing! I had almost given up and reinstalled Ubuntu when I found your post. My install on OpenSUSE Tumbleweed went flawlessly following your guide, except for the command „sudo gtk-update-icon-cache –force /usr/share/icons/gnome“, which gave me a „gtk-update-icon-cache: No theme index file“ response.

    Thank you for the effort put into this!

    Antworten
    • Dear Mitch,
      thanks for your feedback. I just checked whether the gtk-update-icon-cache command behaves the same way in my installation, and I checked how it behaves in the intended and supported Linux-distro Ubuntu 18.04.03 LTS. In both cases I get the same warning and the file „icon-theme.cache“ is not created. As I took this command out of the installation script from Cisco, I’d say they have a small bug here, that is throwing this warning and the cache file is not created. I fixed the command by adding the switch –ignore-theme-index. With this the command works and the cache-file is created. You can do this too now.
      Regards, Andreas

      Antworten
  3. Great work! the installation process worked on my MX Linux but the application is still not opening.. Any quick fix to this please? I anticipate your response.
    Please reply in English because i am Nigerian.

    Thank you.

    Antworten
    • Hi Joseph, I added some more instructions to check your Packet Tracer installation. The new instructions start with „To get these settings active on your workstation, log off and log in again …“ and include also the complete next paragraph with the headline „PT still not working?“.

      Antworten
  4. Hi, for anyone who’s unable to launch it due to libjpeg.so.8 missing, I figured out how to get it running. I’m using Fedora 31 and even when I installed libjpeg8 using a copr repo it still failed to work as the symbol jpeg_skip_scanlines was missing from the library. My solution was to clone libjpeg-turbo from the github repo (I used the latest) and compile with cmake. I enabled the option -DWITH_JPEG8=1 when running cmake. This makes libjpeg-turbo emulate the libjpeg8 ABI. I then copied the compiled library libjpeg.so.8 to the /opt/pt/bin folder and it worked flawlessly.

    Antworten
  5. Hello! Some days ago i start learning for my CCNA.
    The 1rst step was a bit challenging: Installing PT7.3.0 on my laptop running.
    As i pass the step, i’d like share the process, in case it can help someone
    Source: https://grupp-web.de/cms/2020/01/03/installation-of-packet-tracer-7-3-on-rpm-linux-systems-without-alien/

    0) Installation Environnement
    Packet Tracer installation on kali-rolling ( Kali Linux 2020.1)

    1) Downlaod PT7.3.0 code
    Check https://netacad.com

    2) Install binaries
    sudo dpkg -i PacketTracer_730_amd64.deb
    Solve all the errors (if any) before the next step

    3) Check missing libraries on your PC
    cd /opt/pt/bin/
    ldd PacketTracer7 | grep not
    3 libraries was missing on my PC: libjpeg.so.8, libicui18n.so.60 and libicuuc.so.60
    Adding libraries path provided with PT solved 2

    4) Add librairies provided by PT to environment variable LD_LIBRARY_PATH
    Add ‚export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/pt/bin/‘ in file ~/.bashrc
    Then execute command „source ~/.bashrc“
    Check again what libraries are missing:
    ldd PacketTracer7 | grep not
    Still 1 library is missing: libjpeg.so.8

    5) Solving libjpeg.so.8 missing problem
    sudo mv /opt/pt/bin/libjpeg.so.8 /opt/pt/bin/libjpeg.so.8.backup
    git clone https:github.com/libjpeg-turbo/libjpeg-turbo.git//
    cd libjpeg-turbo/
    sudo apt install autoconf automake libtool
    cmake -S . -B build -DWITH_JPEG8=1
    cd build/
    make
    sudo make install
    sudo find / -name libjpeg.so.8.2.2
    sudo ln -s /opt/libjpeg-turbo/lib64/libjpeg.so.8.2.2 /opt/pt/bin/libjpeg.so.8
    Check again what libraries are missing:
    ldd PacketTracer7 | grep not
    As the output is blank, there is no more librairies missing. We can now try execute PacketTracer7

    6) Launch of PacketTracer7.3.0
    /opt/pt/bin/PacketTracer7
    Errors:
    ./PacketTracer7: libcrypto.so.1.0.0: no version information available (required by ./PacketTracer7)

    7) Solving the error: ../PacketTracer7: libcrypto.so.1.0.0: no version information available (required by ./PacketTracer7)
    wget http:archive.ubuntu.com/ubuntu/pool/main/o/openssl/libssl1.0.0_1.0.2g-1ubuntu4_amd64.deb//
    sudo dpkg -i libssl1.0.0_1.0.2g-1ubuntu4_amd64.deb
    sudo cp /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 /opt/pt/bin/ -i
    cp : voulez-vous écraser ‚/opt/pt/bin/libcrypto.so.1.0.0‘ ? y
    Check again if erros still:
    /opt/pt/bin/PacketTracer7
    GOOD: At this step i was able to load PacketTracer and take labs. But Still some errors related to Qt WebEngine ICU Data, Locales and ressources. Bellow are the errors:
    Qt WebEngine ICU data not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/resources. Trying parent directory…
    Qt WebEngine ICU data not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin. Trying application directory…
    Installed Qt WebEngine locales directory not found at location /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/translations/qtwebengine_locales. Trying application directory…
    Qt WebEngine resources not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin/resources. Trying parent directory…
    Qt WebEngine resources not found at /home/ptbuild/Desktop/qt-5.12.4-ubuntu64-release-bin. Trying application directory…
    ./PacketTracer7: symbol lookup error: libssl.so.1.0.0: undefined symbol: EVP_idea_cbc

    Antworten
  6. j’ai cet erreur pendant l’installation de packet tracer, est ce que vous pouvez m’aider svp

    :/opt/pt$ ./ptdebug
    Starting Packet Tracer 7.3.0
    /opt/pt/bin /opt/pt
    ./PacketTracer7: error while loading shared libraries: libjpeg.so.8: cannot open shared object file: No such file or directory
    /opt/pt

    Antworten
    • Quel Linux utilisez-vous? Quel numéro de version? Dans openSUSE Tumbleweed, il s’agit du paquet libjpeg8. Dans les autres commentaires ci-dessous ce poste il y a plus d’aide pour cette bibliothèque – veuillez lire les commentaires.

      Antworten

Schreibe einen Kommentar zu lehiri Antworten abbrechen

Anti-Spam *